#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	File
%define		pnam	FnMatch
Summary:	File::FnMatch - simple filename and pathname matching
Name:		perl-File-FnMatch
Version:	0.02
Release:	7
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	22f77c20d0fb5af01a3165e2df2fe34c
URL:		https://metacpan.org/release/File-FnMatch/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::FnMatch::fnmatch() provides simple, shell-like pattern matching.

Though considerably less powerful than regular expressions, shell
patterns are nonetheless useful and familiar to a large audience of
end-users.

Other possibilities include at least FNM_CASEFOLD (compare qr//i),
FNM_LEADING_DIR to restrict matching to everything before the first
'/', FNM_FILE_NAME as a synonym for FNM_PATHNAME, and the rather more
exotic FNM_EXTMATCH. Consult your system documentation for details.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/*.pm
%dir %{perl_vendorarch}/auto/File/FnMatch
%attr(755,root,root) %{perl_vendorarch}/auto/File/FnMatch/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-FnMatch.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 398a6eb
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 7006d85
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> c11195d
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 1dfe239
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> cb4d997
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7d85970
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 0e6b56f
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Fri Feb 22 2019 Adam Gołębiowski <adamg@pld-linux.org> 681172c
- new

